yin_s Struct Reference

## Data Fields

uint16 | frame_size
uint16 | search_threshold
| Size of analysis frame.
uint16 | search_range
| Range around best local estimate to search, in Q15.
uint16 | nfr
| Number of frames read so far.
unsigned char | wsize
| Size of smoothing window.
unsigned char | wstart
| First frame in window.
unsigned char | wcur
| Current frame of analysis.
unsigned char | endut
| Hoch Hech!
fixed32 ** | diff_window
| Window of difference function outputs.
uint16 * | period_window
| Window of best period estimates.

## Detailed Description

Definition at line 51 of file yin.c.

## Field Documentation

## diff_window

fixed32** yin_s::diff_window

Window of difference function outputs.

Definition at line 62 of file yin.c.

Referenced by yin_free(), yin_init(), yin_read(), and yin_write().

## endut

unsigned char yin_s::endut

Hoch Hech!

Are we at the utterance end?

Definition at line 60 of file yin.c.

Referenced by yin_end(), yin_read(), and yin_start().

## frame_size

uint16 yin_s::frame_size

Definition at line 52 of file yin.c.

## nfr

uint16 yin_s::nfr

Number of frames read so far.

Definition at line 55 of file yin.c.

Referenced by yin_read(), yin_start(), and yin_write().

## period_window

uint16* yin_s::period_window

Window of best period estimates.

Definition at line 63 of file yin.c.

Referenced by yin_free(), yin_init(), yin_read(), and yin_write().

## search_range

uint16 yin_s::search_range

Range around best local estimate to search, in Q15.

Definition at line 54 of file yin.c.

Referenced by yin_init(), and yin_read().

## search_threshold

uint16 yin_s::search_threshold

Size of analysis frame.

Threshold for finding period, in Q15

Definition at line 53 of file yin.c.

Referenced by yin_init(), yin_read(), and yin_write().

## wcur

unsigned char yin_s::wcur

Current frame of analysis.

Definition at line 59 of file yin.c.

Referenced by yin_read().

## wsize

unsigned char yin_s::wsize

Size of smoothing window.

Definition at line 57 of file yin.c.

Referenced by yin_init(), yin_read(), and yin_write().

## wstart

unsigned char yin_s::wstart

First frame in window.

Definition at line 58 of file yin.c.

Referenced by yin_read(), yin_start(), and yin_write().

The documentation for this struct was generated from the following file:

- src/libsphinxbase/fe/yin.c